Gulp + React + es2015 + babel?

Добрый вечер!
Разбираюсь со связкой: Gulp + React + es2015 + babel.
Конфиг гулпа простой - прогоняю все jsx через babel с пресетом в .babrlrc:
"presets": ["es2015", "react"]
И попал на ошибку в браузере:
require is not defined
Помогите разобраться. Хочу писать вот такие штуки и чтобы работали в браузере :)
import React from 'react';
import ReactDom from 'react-dom';

class CommentBox extends React.Component {
  render() {
    return (
      <div className="commentBox">
        Hello, world! I am a CommentBox.
      </div>
    );
  }
}

ReactDOM.render(
  <CommentBox />,
  document.getElementById('app')
);

Где и что не так я делаю?
Спасибо!
  • Вопрос задан
  • 1300 просмотров
Решения вопроса 1
slavikse
@slavikse Автор вопроса
Заработало. Только без import'ов.
До этого react.js был в отдельном файле.
Все объединил в один и заработало.
Не хватало babel-plugin-transform-es2015-modules-commonjs
Ответ написан
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы